Bug 345660 - crash in managed texture node
Summary: crash in managed texture node
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: general (show other bugs)
Version: 5.2.2
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords: drkonqi
: 345675 345963 346272 346353 346589 346633 346879 347304 347480 348268 349326 349717 350718 352661 385612 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-03-29 14:00 UTC by Christopher M. Penalver
Modified: 2019-08-19 16:35 UTC (History)
21 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2015-03-29 14:00:40 UTC
Application: plasmashell (5.2.2)

Qt Version: 5.4.1
Operating System: Linux 4.0.0-040000rc5-generic x86_64
Distribution: Ubuntu Vivid Vervet (development branch)

-- Information about the crash:
At the desktop, clicked semi-translucent button with three vertical black bars button in top left > Activities > clicked and crash.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7b61ea47c0 (LWP 1462))]

Thread 46 (Thread 0x7f7b4dc2c700 (LWP 1463)):
#0  0x00007f7b5cc578dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7b5f1c4b72 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f7b5f1c664f in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f7b4ff73049 in QXcbEventReader::run (this=0xb86330) at qxcbconnection.cpp:1105
#4  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0xb86330) at thread/qthread_unix.cpp:337
#5  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b4dc2c700) at pthread_create.c:333
#6  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 45 (Thread 0x7f7b46ce8700 (LWP 1479)):
#0  0x00007f7b593af789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a8cc in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ae60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7b380008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7b46ce7de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0xc4cd10) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b46ce8700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 44 (Thread 0x7f7b3c98d700 (LWP 1489)):
#0  0x00007f7b5cc578dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7b5936aebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7b300008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7b3c98cde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x1522e60) at thread/qthread_unix.cpp:337
#8  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b3c98d700) at pthread_create.c:333
#9  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 43 (Thread 0x7f7b35975700 (LWP 1507)):
#0  0x00007ffd398e4b7a in clock_gettime ()
#1  0x00007f7b5cc7138d in __GI___clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00007f7b5d38ecb6 in qt_clock_gettime (ts=0x7f7b35974b40, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:161
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:170
#5  0x00007f7b5d56d5c9 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f7b28002ed0) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007f7b5d56db35 in QTimerInfoList::timerWait (this=0x7f7b28002ed0, tm=...) at kernel/qtimerinfo_unix.cpp:379
#7  0x00007f7b5d56efce in timerSourcePrepareHelper (timeout=0x7f7b35974c14, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:127
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f7b35974c14) at kernel/qeventdispatcher_glib.cpp:160
#9  0x00007f7b5936a3fd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7b280008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#13 0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7b35974de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#15 0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#16 0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x16c2510) at thread/qthread_unix.cpp:337
#17 0x00007f7b5c4de6aa in start_thread (arg=0x7f7b35975700) at pthread_create.c:333
#18 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 42 (Thread 0x7f7b34904700 (LWP 1508)):
#0  0x00007f7b5936aa48 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936af20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7b2c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7b34903de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x1787f80) at thread/qthread_unix.cpp:337
#8  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b34904700) at pthread_create.c:333
#9  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 41 (Thread 0x7f7b277ff700 (LWP 1509)):
#0  idleTimerSourcePrepare (source=0x7f7b20003120, timeout=0x7f7b277fec14) at kernel/qeventdispatcher_glib.cpp:199
#1  0x00007f7b5936a3fd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7b200008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7b277fede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x18ac740) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b277ff700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 40 (Thread 0x7f7b266fe700 (LWP 1512)):
#0  __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:65
#1  0x00007f7b5cc578d2 in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0x00007f7b5936aebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7b180008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7b266fdde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x1968a30) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b266fe700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 39 (Thread 0x7f7b255fd700 (LWP 1513)):
#0  0x00007f7b593af789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a409 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7b1c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7b255fcde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x1a5cea0) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b255fd700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 38 (Thread 0x7f7b17fff700 (LWP 1514)):
#0  0x00007f7b59367efe in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a7ef in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ae60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7b100008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7b17ffede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x1b50ce0) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b17fff700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 37 (Thread 0x7f7b16bcd700 (LWP 1515)):
#0  0x00007f7b593af7a4 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936afd6 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7b080008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#3  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7b16bccde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#4  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#5  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#6  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x1c45fc0) at thread/qthread_unix.cpp:337
#7  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b16bcd700) at pthread_create.c:333
#8  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 36 (Thread 0x7f7b159c4700 (LWP 1516)):
#0  0x00007f7b593af789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a409 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7b0c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7b159c3de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x1d41d60) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b159c4700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 35 (Thread 0x7f7b149b3700 (LWP 1517)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7b60fdd644 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#2  0x00007f7b60fdd689 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#3  0x00007f7b5c4de6aa in start_thread (arg=0x7f7b149b3700) at pthread_create.c:333
#4  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 34 (Thread 0x7f7a87fff700 (LWP 1520)):
#0  0x00007f7b593ae2e8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a96c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ae60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a800008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a87ffede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x1e4a6a0) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a87fff700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 33 (Thread 0x7f7a866e2700 (LWP 1521)):
#0  0x00007f7b5cc5349d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7b593ae2f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936a96c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936ae60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a780008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#6  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a866e1de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#8  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#9  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x1ff5700) at thread/qthread_unix.cpp:337
#10 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a866e2700) at pthread_create.c:333
#11 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 32 (Thread 0x7f7a84bbf700 (LWP 1523)):
#0  __libc_disable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:98
#1  0x00007f7b5cc578e9 in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0x00007f7b5936aebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a7c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a84bbede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0xc54980) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a84bbf700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 31 (Thread 0x7f7a75461700 (LWP 1526)):
#0  0x00007f7b593af7a4 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a6f9 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ae37 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a700008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a75460de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x3c3ef90) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a75461700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 30 (Thread 0x7f7a6ffff700 (LWP 1527)):
#0  0x00007f7b593af789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a641 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ae37 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a680008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a6fffede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x3d00e30) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a6ffff700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 29 (Thread 0x7f7a6effe700 (LWP 1528)):
#0  0x00007f7b593af789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a8cc in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ae60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a600008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a6effdde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x3de7cc0) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a6effe700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 28 (Thread 0x7f7a6dffd700 (LWP 1529)):
#0  0x00007f7b593af7a4 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a3f0 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a640008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a6dffcde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x3ee1cf0) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a6dffd700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 27 (Thread 0x7f7a6cffc700 (LWP 1531)):
#0  0x00007f7b593af7a4 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a3f0 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a580008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a6cffbde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x3fe6af0) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a6cffc700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 26 (Thread 0x7f7a5f7ff700 (LWP 1532)):
#0  0x00007f7b593af789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b59369df0 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ad75 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a540008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a5f7fede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x40c4000) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a5f7ff700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 25 (Thread 0x7f7a5e7fe700 (LWP 1533)):
#0  0x00007f7b5cc578dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7b5936aebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a4c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a5e7fdde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x41d9920) at thread/qthread_unix.cpp:337
#8  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a5e7fe700) at pthread_create.c:333
#9  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 24 (Thread 0x7f7a5d7fd700 (LWP 1534)):
#0  0x00007f7b5936a920 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936ae60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a500008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a5d7fcde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x42a20e0) at thread/qthread_unix.cpp:337
#8  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a5d7fd700) at pthread_create.c:333
#9  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 23 (Thread 0x7f7a4bfff700 (LWP 1535)):
#0  0x00007f7b5936a3b0 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a440008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a4bffede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x43a7b60) at thread/qthread_unix.cpp:337
#8  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a4bfff700) at pthread_create.c:333
#9  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 22 (Thread 0x7f7a4affe700 (LWP 1536)):
#0  0x00007f7b593af7a4 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a8b9 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ae60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a3c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a4affdde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x44860f0) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a4affe700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 21 (Thread 0x7f7a49ffd700 (LWP 1537)):
#0  0x00007f7b5cc5349d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7b593ae2f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936a96c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936ae60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a400008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#6  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a49ffcde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#8  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#9  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x4585e30) at thread/qthread_unix.cpp:337
#10 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a49ffd700) at pthread_create.c:333
#11 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7f7a48ffc700 (LWP 1538)):
#0  0x00007f7b59367f02 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a39b in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a340008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a48ffbde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x4663ad0) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a48ffc700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7f7a3b7ff700 (LWP 1539)):
#0  0x00007f7b5cc578dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7b5936aebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a300008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a3b7fede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x4783c60) at thread/qthread_unix.cpp:337
#8  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a3b7ff700) at pthread_create.c:333
#9  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7f7a3a7fe700 (LWP 1540)):
#0  0x00007f7b593af789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a409 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a280008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a3a7fdde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x4843790) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a3a7fe700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7f7a397fd700 (LWP 1541)):
#0  0x00007f7b593af789 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a641 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ae37 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a2c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a397fcde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x4949a90) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a397fd700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7f7a27fff700 (LWP 1543)):
#0  0x00007ffd398e492c in ?? ()
#1  0x00007ffd398e4c39 in clock_gettime ()
#2  0x00007f7b5cc7138d in __GI___clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:115
#3  0x00007f7b5d38ecb6 in qt_clock_gettime (ts=0x7f7a27ffeb40, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
#4  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:161
#5  qt_gettime () at tools/qelapsedtimer_unix.cpp:170
#6  0x00007f7b5d56d5c9 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f7a20002ed0) at kernel/qtimerinfo_unix.cpp:84
#7  0x00007f7b5d56db35 in QTimerInfoList::timerWait (this=0x7f7a20002ed0, tm=...) at kernel/qtimerinfo_unix.cpp:379
#8  0x00007f7b5d56efce in timerSourcePrepareHelper (timeout=0x7f7a27ffec14, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:127
#9  timerSourcePrepare (source=<optimized out>, timeout=0x7f7a27ffec14) at kernel/qeventdispatcher_glib.cpp:160
#10 0x00007f7b5936a3fd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#13 0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a200008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#14 0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a27ffede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#15 0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#16 0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#17 0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x4a23080) at thread/qthread_unix.cpp:337
#18 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a27fff700) at pthread_create.c:333
#19 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7f7a1ec83700 (LWP 1586)):
#0  0x00007f7b5936a7fb in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936ae60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x4f91030, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a1ec82dc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007f7a24fa9cf7 in KCupsConnection::run() () from /usr/lib/x86_64-linux-gnu/libkcupslib.so
#7  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x4f8b650) at thread/qthread_unix.cpp:337
#8  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a1ec83700) at pthread_create.c:333
#9  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7f7a1de00700 (LWP 1590)):
#0  0x00007f7b5cc578dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f7b5936aebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a20008520, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#4  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a1ddffde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x4c230c0) at thread/qthread_unix.cpp:337
#8  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a1de00700) at pthread_create.c:333
#9  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7f7a1cdff700 (LWP 1591)):
#0  __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:65
#1  0x00007f7b5cc578d2 in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0x00007f7b5936aebc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a2c003120, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a1cdfede0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x52df780) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a1cdff700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7f7a19b1d700 (LWP 1661)):
#0  0x00007f7b593af7a4 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936afd6 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a280082c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#3  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a19b1cde0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#4  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#5  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#6  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x56143c0) at thread/qthread_unix.cpp:337
#7  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a19b1d700) at pthread_create.c:333
#8  0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7f7a162e3700 (LWP 1728)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7b5d2d9c6b in wait (time=18446744073709551615, this=0x61ee720) at thread/qwaitcondition_unix.cpp:128
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x61d9c90, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:200
#3  0x00007f7a76cff36f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007f7a76d03408 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f7a76d01333 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x61d25f0) at thread/qthread_unix.cpp:337
#16 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a162e3700) at pthread_create.c:333
#17 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7f7a15ae2700 (LWP 1729)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7b5d2d9c6b in wait (time=18446744073709551615, this=0x61ee720) at thread/qwaitcondition_unix.cpp:128
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x61d9c90, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:200
#3  0x00007f7a76cff36f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007f7a76d03408 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f7a76d01333 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x7f7a30003ce0) at thread/qthread_unix.cpp:337
#16 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a15ae2700) at pthread_create.c:333
#17 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7f7a152e1700 (LWP 1730)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7b5d2d9c6b in wait (time=18446744073709551615, this=0x61ee720) at thread/qwaitcondition_unix.cpp:128
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x61d9c90, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:200
#3  0x00007f7a76cff36f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007f7a76d03408 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f7a76d01333 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x4c49770) at thread/qthread_unix.cpp:337
#12 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a152e1700) at pthread_create.c:333
#13 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f7a14ae0700 (LWP 1731)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7b5d2d9c6b in wait (time=18446744073709551615, this=0x61ee720) at thread/qwaitcondition_unix.cpp:128
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x61d9c90, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:200
#3  0x00007f7a76cff36f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007f7a76d03408 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007f7a76d01333 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#19 0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x7f7a30005ca0) at thread/qthread_unix.cpp:337
#20 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a14ae0700) at pthread_create.c:333
#21 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f7a142df700 (LWP 1732)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7b5d2d9c6b in wait (time=18446744073709551615, this=0x61ee720) at thread/qwaitcondition_unix.cpp:128
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x61d9c90, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:200
#3  0x00007f7a76cff36f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007f7a76d03408 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f7a76d01333 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x7f7a40005590) at thread/qthread_unix.cpp:337
#10 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a142df700) at pthread_create.c:333
#11 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f7a13ade700 (LWP 1733)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7b5d2d9c6b in wait (time=18446744073709551615, this=0x61ee720) at thread/qwaitcondition_unix.cpp:128
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x61d9c90, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:200
#3  0x00007f7a76cff36f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007f7a76d03408 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f7a76d01333 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x7f7a34272150) at thread/qthread_unix.cpp:337
#10 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a13ade700) at pthread_create.c:333
#11 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f7a132dd700 (LWP 1734)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7b5d2d9c6b in wait (time=18446744073709551615, this=0x61ee720) at thread/qwaitcondition_unix.cpp:128
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x61d9c90, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:200
#3  0x00007f7a76cff36f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007f7a76d03408 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f7a76d01333 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x6200570) at thread/qthread_unix.cpp:337
#10 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a132dd700) at pthread_create.c:333
#11 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f7a12adc700 (LWP 1735)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7b5d2d9c6b in wait (time=18446744073709551615, this=0x61ee720) at thread/qwaitcondition_unix.cpp:128
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x61d9c90, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:200
#3  0x00007f7a76cff36f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#4  0x00007f7a76d03408 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#5  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#6  0x00007f7a76d03462 in ?? () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f7a76cfe48f in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f7a76d01333 in ThreadWeaver::Thread::run() () from /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x7f7a44003ce0) at thread/qthread_unix.cpp:337
#10 0x00007f7b5c4de6aa in start_thread (arg=0x7f7a12adc700) at pthread_create.c:333
#11 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f7a10383700 (LWP 2011)):
#0  0x00007f7b593af7a4 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b5936a3f0 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a58194860, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a10382de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007f7b5f061f45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f7b5d2d8b0e in QThreadPrivate::start (arg=0x7686210) at thread/qthread_unix.cpp:337
#9  0x00007f7b5c4de6aa in start_thread (arg=0x7f7a10383700) at pthread_create.c:333
#10 0x00007f7b5cc62eed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f7a0cd81700 (LWP 2012)):
#0  0x00007f7b5d2d09ca in testAndSetRelaxed<QMutexData*> (currentValue=<synthetic pointer>, newValue=0x1, expectedValue=0x0, _q_value=@0x7372828: 0x1) at ../../include/QtCore/../../src/corelib/arch/qatomic_x86.h:259
#1  testAndSetAcquire<QMutexData*, QMutexData*> (currentValue=<synthetic pointer>, newValue=0x1, expectedValue=0x0, _q_value=@0x7372828: 0x1) at ../../include/QtCore/../../src/corelib/thread/qgenericatomic.h:166
#2  testAndSetAcquire (currentValue=<synthetic pointer>, newValue=0x1, expectedValue=0x0, this=0x7372828, this@entry=0x1) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:270
#3  fastTryLock (current=<synthetic pointer>, this=0x7372828, this@entry=0x1) at thread/qmutex.h:82
#4  QMutex::lock (this=this@entry=0x7372828) at thread/qmutex.cpp:212
#5  0x00007f7b5d56f16b in QMutexLocker (m=0x7372828, this=<synthetic pointer>) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:128
#6  canWaitLocked (this=0x7372800) at ../../include/QtCore/5.4.1/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:243
#7  postEventSourcePrepare (s=0x7f7a6403a170, timeout=0x7f7a0cd80bc4) at kernel/qeventdispatcher_glib.cpp:254
#8  0x00007f7b5936a3fd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f7b5936ade8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f7b5936afcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f7b5d56fbfc in QEventDispatcherGlib::processEvents (this=0x7f7a640080c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#12 0x00007f7b5d5143b2 in QEventLoop::exec (this=this@entry=0x7f7a0cd80d90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#13 0x00007f7b5d2d3b44 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#14 0x00007f7b61b43b56 in QQuickPixmapReader::processJob (this=0x78cb420, runningJob=0x78cb3f0, url=..., requestSize=...) at util/qquickpixmapcache.cpp:598
#15 0x7aad8b973307fd35 in ?? ()
#16 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f7b61ea47c0 (LWP 1462)):
[KCrash Handler]
#6  0x00007f7b5dcb36d0 in vtable for QPaintDevice () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#7  0x00007f7b6112bbb6 in destroy (this=0x618e6e0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:151
#8  deref (d=0x618e6e0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:469
#9  deref (this=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:464
#10 ~QSharedPointer (this=0x78caa60, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:305
#11 ~ManagedTextureNode (this=0x78ca8e0, __in_chrg=<optimized out>) at /usr/include/KF5/KDeclarative/quickaddons/managedtexturenode.h:43
#12 ManagedTextureNode::~ManagedTextureNode (this=0x78ca8e0, __in_chrg=<optimized out>) at /usr/include/KF5/KDeclarative/quickaddons/managedtexturenode.h:43
#13 0x00007f7b61b84c13 in QSGNodeVisitor::visitNode (this=0x78ca8e0, n=0x78ee910) at scenegraph/coreapi/qsgnode.cpp:1418
#14 0x00007f7b61b84c47 in QSGNodeVisitor::visitNode (this=0x78ee910, n=0x800) at scenegraph/coreapi/qsgnode.cpp:1410
#15 0x00007f7b61b84c13 in QSGNodeVisitor::visitNode (this=0x7f7b61b84c79 <QSGNodeVisitor::visitNode(QSGNode*)+249>, n=0x78ee910) at scenegraph/coreapi/qsgnode.cpp:1418
#16 0x00007f7b61b84c47 in QSGNodeVisitor::visitNode (this=0x7833af0, n=0x800) at scenegraph/coreapi/qsgnode.cpp:1410
#17 0x00007f7b61be23c4 in qRound (d=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qglobal.h:505
#18 toPoint (this=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qpoint.h:383
#19 QQuickWindowPrivate::translateTouchEvent (this=0x7695380, touchEvent=0x1f56d70) at items/qquickwindow.cpp:689
#20 0x0000000001f56d70 in ?? ()
#21 0x0000000001f56fb8 in ?? ()
#22 0x0000000001f56fb0 in ?? ()
#23 0x0000000000000000 in ?? ()

Reported using DrKonqi
Comment 1 David Edmundson 2015-03-29 14:09:00 UTC
Thanks.

Marco is this the same as the theme explorer crash?
Comment 2 Marco Martin 2015-03-30 15:57:16 UTC
David: don't think i seen this bt before (seen something somewhere related to a crash related to touch events tough)..
do you have a bug # for the explorer crash?
Comment 3 David Edmundson 2015-03-30 15:58:07 UTC
no, it's not been reported yet AFAIK.
Comment 4 David Edmundson 2015-04-07 22:11:37 UTC
*** Bug 345963 has been marked as a duplicate of this bug. ***
Comment 5 David Edmundson 2015-04-07 22:52:49 UTC
Oh, I've found it!

QSGTexture::removeFromAtlas() returns a pointer but it keeps ownership of it.
Because I shove it in a QSharedPointer I delete it, then the original QSGTexture gets deleted and kills it too. 

I should either move the removeFromAtlas call into FrameNode, 
or for non atlased textures skip loading from the shared images cache.

Or both.

It's weird this is coming up at all, you'd have to request a pixmap from something that can be atlased, (icon, frame corner) then request the _same pixmap_ in a place where we don't have atlas's enabled. Clearly some theme is.
Comment 6 David Edmundson 2015-04-08 09:15:59 UTC
Git commit 33f651012b518ecf4970c549c7c4ab2ac7f1440e by David Edmundson.
Committed on 08/04/2015 at 09:15.
Pushed by davidedmundson into branch 'master'.

Fix crash in texture cache.

textures created by removedFromAtlas are owned by the parent texture,
they are not a copy.

Given this code should practically never be called, just create a new
texture object that manages itself and is not in the cache.
Reviewed-by: Marco Martin

M  +3    -2    src/quickaddons/imagetexturescache.cpp

http://commits.kde.org/kdeclarative/33f651012b518ecf4970c549c7c4ab2ac7f1440e
Comment 7 Marco Martin 2015-04-20 09:29:59 UTC
*** Bug 346353 has been marked as a duplicate of this bug. ***
Comment 8 David Edmundson 2015-04-25 11:54:13 UTC
*** Bug 346589 has been marked as a duplicate of this bug. ***
Comment 9 David Edmundson 2015-04-25 12:29:30 UTC
*** Bug 346633 has been marked as a duplicate of this bug. ***
Comment 10 David Edmundson 2015-04-29 22:08:12 UTC
*** Bug 346879 has been marked as a duplicate of this bug. ***
Comment 11 David Edmundson 2015-05-01 11:06:11 UTC
*** Bug 345675 has been marked as a duplicate of this bug. ***
Comment 12 Thomas Lübking 2015-05-01 13:20:02 UTC
*** Bug 346272 has been marked as a duplicate of this bug. ***
Comment 13 Bhushan Shah 2015-05-06 12:32:19 UTC
*** Bug 347304 has been marked as a duplicate of this bug. ***
Comment 14 Thomas Lübking 2015-05-09 18:24:28 UTC
*** Bug 347480 has been marked as a duplicate of this bug. ***
Comment 15 David Edmundson 2015-05-28 08:20:53 UTC
*** Bug 348268 has been marked as a duplicate of this bug. ***
Comment 16 David Edmundson 2015-06-18 15:02:31 UTC
*** Bug 349326 has been marked as a duplicate of this bug. ***
Comment 17 David Edmundson 2015-07-01 11:25:20 UTC
*** Bug 349717 has been marked as a duplicate of this bug. ***
Comment 18 Christoph Feck 2015-08-02 09:32:25 UTC
*** Bug 350718 has been marked as a duplicate of this bug. ***
Comment 19 Tom Chiverton 2015-08-02 09:48:43 UTC
Fixed four months ago, but still crashes in Kubuntu ?
Could you take a closer look ?
Comment 20 Christoph Feck 2015-08-23 11:47:45 UTC
Tom, which frameworks version is installed in Kubuntu?
Comment 21 Tom Chiverton 2015-08-28 17:00:30 UTC
Seems to have been fixed at some point. Now I 4.14.8 installed (Kubuntu)
Comment 22 Bhushan Shah 2015-09-14 07:56:46 UTC
*** Bug 352661 has been marked as a duplicate of this bug. ***
Comment 23 Nate Graham 2019-08-19 15:52:23 UTC
*** Bug 385612 has been marked as a duplicate of this bug. ***